> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List headless imports



## OpenAPI

````yaml /api-reference/openapi.json get /headless/imports/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /headless/imports/:
    get:
      tags:
        - headless
      summary: List headless imports
      operationId: listHeadlessImports
      parameters:
        - name: offset
          in: query
          description: starting index
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          description: total number of imports to return, defaults 100 max 1000
          schema:
            type: number
            default: 100
      responses:
        '200':
          description: List headless imports
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    example: 75
                  next:
                    oneOf:
                      - type: string
                        example: >-
                          https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10
                      - type: 'null'
                  previous:
                    oneOf:
                      - type: string
                        example: >-
                          https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10
                      - type: 'null'
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/HeadlessImport'
components:
  schemas:
    HeadlessImport:
      type: object
      properties:
        id:
          type: string
          example: 94187d21-9820-420f-b08c-a80cbbf52604
          readOnly: true
        schema_id:
          type: string
          example: 94187d21-9820-420f-b08c-a80cbbf52604
        status:
          type: string
          enum:
            - AWAITING_UPLOAD
            - RUNNING
            - SUCCESSFUL
            - FAILED
            - NEEDS_REVIEW
          example: AWAITING_UPLOAD
          readOnly: true
        original_filename:
          type: string
          example: user_data.csv
        created_date:
          type: string
          format: date-time
          readOnly: true
        modified_date:
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````